Subject: Re: dllwrap & __cygwin_noncygwin_dll_entry@12
From: <[email-masked]>
To: "Michael P." <[email-masked]>
Cc: [email-masked]
Date: Tue, 4 Jan 2000 16:47:13 -0600

I didn't see a response, so I'll give it a shot.
Simply remove the -- entry flag from the line as shown below

# DLLWRAP_FLAGS = --driver-name $(CXX) --dlltool-name $(DLLTOOL) --as $(AS)
\
#  --entry __cygwin_noncygwin_dll_entry@12

DLLWRAP_FLAGS = --driver-name $(CXX) --dlltool-name $(DLLTOOL) --as $(AS)

Bartlee A. Anderson           Opinions my own,         3CS Development
Rockwell International           not Rockwell's    Electronic Commerce
300 Bauman Ct.  MS 933-607                         Wood Dale, IL 60191
[email-masked]                              VOICE (630) 227-8975

|--------+----------------------->
|        |          "Michael P." |
|        |          <migueldetrix|
|        |          @forum.dk>   |
|        |                       |
|        |          01/04/00     |
|        |          04:46 AM     |
|        |                       |
|--------+----------------------->
  >-------------------------------------------------------------------------------------------------------------------------------------|
  |                                                                                                                                     |
  |       To:     [email-masked]                                                                                          |
  |       cc:     (bcc: Bartlee A Anderson/WoodDale/EC/Rockwell)                                                                        |
  |       Subject:     dllwrap & __cygwin_noncygwin_dll_entry@12                                                                        |
  >-------------------------------------------------------------------------------------------------------------------------------------|

I'm getting an error when using the makefile supplied with the COM-samples
from

ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygwin32/misc/

I've made a small addition to the makefile, because it went down at some
point. I added -ansi -pedantic to the compiler flags section in the
makefile,
and it did the trick.

But when the section starting the dllwrap, it gave the following warning:

ld: warning: cannot find entry symbol __cygwin_noncygwin_dll_entry@12;
defaulting to 61a01000

Does anyone have a explaination/solution to this error/warning?

It seems to result in a build of object, but the exe-files fails to
register.

Regards
Michael Poulsen

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]